include:
  template: Jobs/SAST.gitlab-ci.yml

variables:
  # By enabling debug logging the remote fetching is visible in the job logs
  SECURE_LOG_LEVEL: "debug"
  # POLICIES_ACCESS_TOKEN defined in Settings/"CI Variables"
  SAST_RULESET_GIT_REFERENCE: "project_45979522_bot_544da80651005ec7c3905ecd76a627a8:$POLICIES_ACCESS_TOKEN@gitlab.com/gitlab-org/secure/tests/security-policies-demo-private"

semgrep-sast:
  variables:
    # TEMP until merge of:
    # https://gitlab.com/gitlab-org/security-products/analyzers/semgrep/-/merge_requests/258
    SAST_ANALYZER_IMAGE_TAG: 'bump-ruleset-to-resolve-relative-file-passthroughs'
    SECURE_ANALYZERS_PREFIX: 'registry.gitlab.com/gitlab-org/security-products/analyzers'
